summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-11-29 11:58:21 -0600
committerEd Warnicke <eaw@cisco.com>2016-11-29 11:58:21 -0600
commit36ca41f672b1f79cae2d9d2c199f5edc32f84e31 (patch)
treef5e75c47107151b72f538ec23f70a88d24e15227
parent0860f84c309b627ceba0e7a696cb59c627cdfb58 (diff)
Migrate vpp-verify-* to using make verify
Also retires vpp-clang-* and vpp-lite-verify-* as they are now covered by make verify. Change-Id: I19967cd82b67029a7396bdba6907aa3d4d7da865 Signed-off-by: Ed Warnicke <eaw@cisco.com>
-rw-r--r--jjb/vpp/include-raw-vpp-build.sh2
-rw-r--r--jjb/vpp/include-raw-vpp-clang-build.sh35
-rw-r--r--jjb/vpp/include-raw-vpp-lite-build.sh54
-rw-r--r--jjb/vpp/vpp-lite.yaml173
-rw-r--r--jjb/vpp/vpp.yaml50
5 files changed, 1 insertions, 313 deletions
diff --git a/jjb/vpp/include-raw-vpp-build.sh b/jjb/vpp/include-raw-vpp-build.sh
index a838f576b..b5c6d77a4 100644
--- a/jjb/vpp/include-raw-vpp-build.sh
+++ b/jjb/vpp/include-raw-vpp-build.sh
@@ -46,7 +46,7 @@ if [ "x${VPP_REPO}" == "x1" ]; then
fi
fi
echo "CC=${CC}"
-build-root/vagrant/build.sh
+make verify
echo "*******************************************************************"
echo "* VPP BUILD SUCCESSFULLY COMPLETED"
diff --git a/jjb/vpp/include-raw-vpp-clang-build.sh b/jjb/vpp/include-raw-vpp-clang-build.sh
deleted file mode 100644
index 3556616d7..000000000
--- a/jjb/vpp/include-raw-vpp-clang-build.sh
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -xe -o pipefail
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
-
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
-make UNATTENDED=y verify
-
-echo "*******************************************************************"
-echo "* VPP BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************" \ No newline at end of file
diff --git a/jjb/vpp/include-raw-vpp-lite-build.sh b/jjb/vpp/include-raw-vpp-lite-build.sh
deleted file mode 100644
index 5df60ca34..000000000
--- a/jjb/vpp/include-raw-vpp-lite-build.sh
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -xe -o pipefail
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
-
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
-# Check to make sure the patch doesn't need to be rebased
-# Since there was a discontinuity, patches with a
-# parent before 30d41ff need to be rebased
-
-(git log --oneline | grep 30d41ff > /dev/null 2>&1);if [ $? != 0 ]; then REBASE_NEEDED="1";fi
-(git log --oneline | grep fb0815d > /dev/null 2>&1);if [ $? == 0 ]; then VPP_REPO="1";fi
-echo "REBASE_NEEDED: ${REBASE_NEEDED}"
-echo "VPP_REPO: ${VPP_REPO}"
-
-if [ "x${VPP_REPO}" == "x1" ]; then
- if [ "x${REBASE_NEEDED}" == "x1" ]; then
- echo "This patch to vpp is based on an old point in the tree that is likely"
- echo "to fail verify."
- echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
- exit 1
- fi
-fi
-
-make UNATTENDED=yes install-dep
-make PLATFORM=vpp_lite build-release
-
-echo "*******************************************************************"
-echo "* VPP BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
diff --git a/jjb/vpp/vpp-lite.yaml b/jjb/vpp/vpp-lite.yaml
deleted file mode 100644
index 7f55c8a22..000000000
--- a/jjb/vpp/vpp-lite.yaml
+++ /dev/null
@@ -1,173 +0,0 @@
-- project:
- name: vpp-lite
- jobs:
- - 'vpp-lite-verify-{stream}-{os}'
- - 'vpp-lite-merge-{stream}-{os}'
- - 'vpp-lite-verify-image-{stream}-{os}'
-
- project: 'vpp'
- os:
- - ubuntu1404:
- repo-os-part: 'ubuntu.trusty.main'
- - ubuntu1604:
- repo-os-part: 'ubuntu.xenial.main'
- - centos7:
- repo-os-part: 'centos7'
- stream:
- - master:
- branch: 'master'
- repo-stream-part: 'master'
- - test:
- branch: 'stable/test'
- repo-stream-part: 'stable.test'
- - '1606':
- branch: 'stable/1606'
- repo-stream-part: 'stable.1606'
- - '1609':
- branch: 'stable/1609'
- repo-stream-part: 'stable.1609'
- type:
- - short
- - long
-
-- job-template:
- name: 'vpp-lite-verify-{stream}-{os}'
-
- project-type: freestyle
- node: 'verify-{os}'
- concurrent: true
-
- logrotate:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-submitted:
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-vpp-checkstyle.sh
- - shell:
- !include-raw-escape: 'include-raw-vpp-lite-build.sh'
-
-- job-template:
- name: 'vpp-lite-verify-image-{stream}-{os}'
-
- project-type: freestyle
- node: 'verify-image-{os}'
- concurrent: true
-
- logrotate:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit:
- server-name: 'Primary'
- trigger-on:
- - comment-added-contains-event:
- comment-contains-value: 'verify-images'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- skip-vote:
- successful: true
- failed: true
- unstable: true
- notbuilt: true
-
- builders:
- - shell:
- !include-raw-escape: include-raw-vpp-checkstyle.sh
- - shell:
- !include-raw-escape: 'include-raw-vpp-lite-build.sh'
-
-- job-template:
- name: 'vpp-lite-merge-{stream}-{os}'
-
- project-type: freestyle
- node: 'merge-{os}'
-
- logrotate:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
- - maven-project-parameter:
- maven: 'mvn33'
- - repo-name-parameter:
- repo-name: '{repo-stream-part}.{repo-os-part}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: ''
- choosing-strategy: 'default'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-merged:
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-vpp-checkstyle.sh
- - shell:
- !include-raw-escape: 'include-raw-vpp-lite-build.sh'
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index 58180af90..d16e1a1d8 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -2,7 +2,6 @@
name: vpp
jobs:
- 'vpp-verify-{stream}-{os}'
- - 'vpp-verify-{stream}-{os}-clang'
- 'vpp-merge-{stream}-{os}'
- 'vpp-verify-image-{stream}-{os}'
- 'vpp-docs-merge-{stream}'
@@ -110,55 +109,6 @@
default-excludes: false
- job-template:
- name: 'vpp-verify-{stream}-{os}-clang'
-
- project-type: freestyle
- node: 'verify-{os}'
- concurrent: true
-
- logrotate:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-submitted:
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-vpp-checkstyle.sh
- - shell:
- !include-raw-escape: include-raw-vpp-clang-build.sh
- publishers:
- - archive:
- artifacts: 'build-root/*.rpm,build-root/*.deb'
- allow-empty: 'true'
- fingerprint: false
- only-if-success: true
- default-excludes: false
-
-- job-template:
name: 'vpp-csit-verify-virl-1604-test-{stream}'
project-type: freestyle